View Issue Details

IDProjectCategoryView StatusLast Update
0002220Ham Radio DeluxeBugpublic2017-09-18 00:08
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.787 
Summary0002220: Logbook: logfile view shows tons of spew about "took n milliseconds" when DX Cluster is open
Description
Unfortunately, I left behind some debugging code for performance analysis that spewed about the duration of each SQL execution ... which happens a lot while DX Cluster is connected, which is why I wanted to investigate it.

The code should be removed, or at least nerfed, so it doesn't affect regular operation of the logbook.

Steps To Reproduce
1) Open Logbook
2) Open your favorite DB
3) Connect to a DX Cluster node
4) Move over to the LogFile tab (in the View menu, if it's not already open)
BUG#1) Lots of spew!
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAppearance/UI
TestingNot Started

Relationships

Activities

K7ZCZ

2017-08-18 09:56

viewer   ~0004035

This issue is fixed with this change set:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3779

There's now a "Timing" button on the logfile view in the Logbook application. When marked, timing information for performance-critical work inside the logbook will appear. Marking both "timing" and "debug" gives more detailed timing messages.

g3ucq

2017-09-12 03:20

viewer   ~0004170

Fixed

WA9PIE

2017-09-18 00:08

administrator   ~0004210

Closed as part of the 6.4.0.787 release.

Issue History

Date Modified Username Field Change
2017-08-18 00:18 K7ZCZ New Issue
2017-08-18 09:56 K7ZCZ Assigned To => K7ZCZ
2017-08-18 09:56 K7ZCZ Status new => resolved
2017-08-18 09:56 K7ZCZ Resolution open => fixed
2017-08-18 09:56 K7ZCZ Note Added: 0004035
2017-09-07 18:18 K7ZCZ Fixed in Version => 6.4.0.784
2017-09-11 21:32 K7ZCZ Fixed in Version 6.4.0.784 => 6.4.0.785
2017-09-12 03:20 g3ucq Note Added: 0004170
2017-09-14 19:23 K7ZCZ Fixed in Version 6.4.0.785 => 6.4.0.787
2017-09-18 00:06 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-09-18 00:08 WA9PIE Note Added: 0004210
2017-09-18 00:08 WA9PIE Status resolved => closed